Skip to content

Documentação da API do Zarv ID

Servers

https://services.zarv.comProdução

Autenticação

API de Autenticação


Login

POST
/api/v1/authentication

Autenticação para obter um token de acesso

Request Body

application/json
JSON
{
  
"username": "[email protected]",
  
"password": "1234"
}

Responses

Autenticação realizada com sucesso

application/json
JSON
{
  
"accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c",
  
"refreshToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c",
  
"expiresIn": 300,
  
"refreshExpiresIn": 3600,
  
"tokenType": "Bearer"
}

Consultar verificações

GET
/api/v2/verifications

Obtém todas as verificações com filtros opcionais

Authorizations

Authentication v2

For more details, see Authentication v2

Type
HTTP (bearer)

Parameters

Query Parameters

nationalId
Type
string
Example"012345678900"
Min Length
11
Max Length
14
status
Type
string
Example"COMPLETED"
page
Type
integer
Example1
Minimum
1
limit
Type
integer
Example10
Minimum
1
Maximum
25

Responses

Lista de verificações

application/json
JSON
{
  
"verifications": [
  
  
{
  
  
  
"id": "805181ca-2956-49e1-81bb-93d1792d269d",
  
  
  
"workspaceId": "bc5a5b9e-3bb2-4998-b301-a6a39314d330",
  
  
  
"userId": "767b88ea-6f5e-4256-b6bb-726cb402cd7b",
  
  
  
"nationalId": "012345678900",
  
  
  
"name": "FOO BAR",
  
  
  
"status": "COMPLETED",
  
  
  
"verification": {
  
  
  
  
"type": "full",
  
  
  
  
"finance": {
  
  
  
  
  
"restrictions": true
  
  
  
  
},
  
  
  
  
"result": {
  
  
  
  
  
"score": 1000,
  
  
  
  
  
"scoreFactor": 3,
  
  
  
  
  
"rules": [
  
  
  
  
  
  
[
  
  
  
  
  
  
  
"PROFILE_SUSPECTED_PERSON_BLACKLIST",
  
  
  
  
  
  
  
"FINANCE_SOCIAL_ASSISTANCES",
  
  
  
  
  
  
  
"FINANCE_ASSET",
  
  
  
  
  
  
  
"RELATED_GHOST_PERSONAL_RELATIONSHIPS",
  
  
  
  
  
  
  
"LAWSUIT_PROCESS_REDFLAG_L1",
  
  
  
  
  
  
  
"LAWSUIT_SUSPECT_PROCESS_L2"
  
  
  
  
  
  
]
  
  
  
  
  
],
  
  
  
  
  
"execution": {
  
  
  
  
  
  
"startedAt": "2025-05-12T14:05:53Z",
  
  
  
  
  
  
"endedAt": "2025-05-12T14:05:53Z",
  
  
  
  
  
  
"durationMs": 799
  
  
  
  
  
}
  
  
  
  
},
  
  
  
  
"person": {
  
  
  
  
  
"profile": {
  
  
  
  
  
  
"name": "FOO BAR",
  
  
  
  
  
  
"nationalId": "012345678900",
  
  
  
  
  
  
"fiscalStatus": "REGULAR",
  
  
  
  
  
  
"obitFlag": false,
  
  
  
  
  
  
"birthDate": "1990-01-01",
  
  
  
  
  
  
"age": 30,
  
  
  
  
  
  
"gender": "F",
  
  
  
  
  
  
"contacts": {
  
  
  
  
  
  
  
"addresses": [
  
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
  
"type": "WORK",
  
  
  
  
  
  
  
  
  
"street": "Rua das Flores",
  
  
  
  
  
  
  
  
  
"number": "123",
  
  
  
  
  
  
  
  
  
"neighborhood": "Bairro das Flores",
  
  
  
  
  
  
  
  
  
"city": "São Paulo",
  
  
  
  
  
  
  
  
  
"state": "SP",
  
  
  
  
  
  
  
  
  
"postalCode": "1234567890",
  
  
  
  
  
  
  
  
  
"createdAt": "2025-05-12T14:05:53Z",
  
  
  
  
  
  
  
  
  
"updatedAt": "2025-05-12T14:05:53Z"
  
  
  
  
  
  
  
  
}
  
  
  
  
  
  
  
],
  
  
  
  
  
  
  
"emails": [
  
  
  
  
  
  
  
  
"[email protected]"
  
  
  
  
  
  
  
],
  
  
  
  
  
  
  
"phones": [
  
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
  
"type": "MOBILE",
  
  
  
  
  
  
  
  
  
"number": "999999999",
  
  
  
  
  
  
  
  
  
"area": "13",
  
  
  
  
  
  
  
  
  
"country": "55",
  
  
  
  
  
  
  
  
  
"createdAt": "2025-05-12",
  
  
  
  
  
  
  
  
  
"updatedAt": "2025-05-12"
  
  
  
  
  
  
  
  
}
  
  
  
  
  
  
  
]
  
  
  
  
  
  
},
  
  
  
  
  
  
"indicators": {
  
  
  
  
  
  
  
"blacklisted": {
  
  
  
  
  
  
  
  
"risky": true,
  
  
  
  
  
  
  
  
"value": 1
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
"blacklistedCompanies": {
  
  
  
  
  
  
  
  
"risky": false,
  
  
  
  
  
  
  
  
"value": 0
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
"blacklistedRelated": {
  
  
  
  
  
  
  
  
"risky": false,
  
  
  
  
  
  
  
  
"value": 0
  
  
  
  
  
  
  
}
  
  
  
  
  
  
}
  
  
  
  
  
},
  
  
  
  
  
"finance": {
  
  
  
  
  
  
"salary": 1000,
  
  
  
  
  
  
"income": "5 A 7 SM",
  
  
  
  
  
  
"totalAssets": "ABAIXO DE 100K",
  
  
  
  
  
  
"taxReturns": [
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
"year": "2024",
  
  
  
  
  
  
  
  
"status": "SALDO INEXISTENTE DE IMPOSTO A PAGAR OU A RESTITUIR",
  
  
  
  
  
  
  
  
"bank": "BANCO DO BRASIL",
  
  
  
  
  
  
  
  
"updatedAt": "2025-05-12"
  
  
  
  
  
  
  
}
  
  
  
  
  
  
],
  
  
  
  
  
  
"collections": {
  
  
  
  
  
  
  
"total": 17,
  
  
  
  
  
  
  
"totalOrigins": 2,
  
  
  
  
  
  
  
"updatedAt": "2025-05-12"
  
  
  
  
  
  
},
  
  
  
  
  
  
"assistancePrograms": {
  
  
  
  
  
  
  
"programs": [
  
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
  
"name": "BOLSA FAMÍLIA",
  
  
  
  
  
  
  
  
  
"city": "São Paulo",
  
  
  
  
  
  
  
  
  
"state": "SP",
  
  
  
  
  
  
  
  
  
"active": true,
  
  
  
  
  
  
  
  
  
"amount": 1000,
  
  
  
  
  
  
  
  
  
"totalAmount": 1000,
  
  
  
  
  
  
  
  
  
"startedAt": "2025-05-12",
  
  
  
  
  
  
  
  
  
"endedAt": "2025-05-12"
  
  
  
  
  
  
  
  
}
  
  
  
  
  
  
  
],
  
  
  
  
  
  
  
"total": 1,
  
  
  
  
  
  
  
"totalActive": 0
  
  
  
  
  
  
},
  
  
  
  
  
  
"indicators": {
  
  
  
  
  
  
  
"monthlyIncome": {
  
  
  
  
  
  
  
  
"risky": false,
  
  
  
  
  
  
  
  
"value": 1000
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
"assistancePrograms": {
  
  
  
  
  
  
  
  
"risky": false,
  
  
  
  
  
  
  
  
"value": 0
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
"ltyTaxDeclarations": {
  
  
  
  
  
  
  
  
"risky": true,
  
  
  
  
  
  
  
  
"value": 1
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
"collections": {
  
  
  
  
  
  
  
  
"risky": true,
  
  
  
  
  
  
  
  
"value": 17
  
  
  
  
  
  
  
}
  
  
  
  
  
  
},
  
  
  
  
  
  
"restrictions": {
  
  
  
  
  
  
  
"registerLogs": "Cliente notificado, período de resposta encerrado, dados prontos para serem usados",
  
  
  
  
  
  
  
"isNegative": true,
  
  
  
  
  
  
  
"hasData": true,
  
  
  
  
  
  
  
"segment": "Atraso severo (Negativo ativo ou CCF ou ação ou atraso maior que 90 dias no CP.)",
  
  
  
  
  
  
  
"reportedBy": "BANCO SANTANDER BRASIL S.A.",
  
  
  
  
  
  
  
"reportedAt": "2025-05-12",
  
  
  
  
  
  
  
"status": "Ativo",
  
  
  
  
  
  
  
"city": "São Paulo",
  
  
  
  
  
  
  
"amount": "R$869,73",
  
  
  
  
  
  
  
"type": "Créditos e Financiamentos",
  
  
  
  
  
  
  
"totalAmount": 869.73,
  
  
  
  
  
  
  
"consultationLogs": {
  
  
  
  
  
  
  
  
"60": 0,
  
  
  
  
  
  
  
  
"90": 1,
  
  
  
  
  
  
  
  
"+90": 2,
  
  
  
  
  
  
  
  
"+30": 0
  
  
  
  
  
  
  
}
  
  
  
  
  
  
}
  
  
  
  
  
},
  
  
  
  
  
"lawsuits": {
  
  
  
  
  
},
  
  
  
  
  
"related": {
  
  
  
  
  
}
  
  
  
  
},
  
  
  
  
"serasa": {
  
  
  
  
  
"documentType": "CPF",
  
  
  
  
  
"consultedAt": "2026-05-06T14:05:53Z",
  
  
  
  
  
"protocol": "SRS-2026050614055312345",
  
  
  
  
  
"identification": {
  
  
  
  
  
  
"name": "FOO BAR",
  
  
  
  
  
  
"nationalId": "01234567890",
  
  
  
  
  
  
"birthDate": "1990-01-01",
  
  
  
  
  
  
"age": 36,
  
  
  
  
  
  
"gender": "F",
  
  
  
  
  
  
"motherName": "MARIA BAR",
  
  
  
  
  
  
"cpfStatus": "REGULAR",
  
  
  
  
  
  
"obitFlag": false
  
  
  
  
  
},
  
  
  
  
  
"score": {
  
  
  
  
  
  
"value": 720,
  
  
  
  
  
  
"classification": "BAIXO",
  
  
  
  
  
  
"defaultProbability": 4.32,
  
  
  
  
  
  
"model": "Score Crédito 2.0"
  
  
  
  
  
},
  
  
  
  
  
"pendencies": {
  
  
  
  
  
  
"total": 3,
  
  
  
  
  
  
"totalAmount": 4523.78,
  
  
  
  
  
  
"items": [
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
"creditor": "BANCO SANTANDER BRASIL S.A.",
  
  
  
  
  
  
  
  
"contract": "0123456789",
  
  
  
  
  
  
  
  
"amount": 869.73,
  
  
  
  
  
  
  
  
"currency": "BRL",
  
  
  
  
  
  
  
  
"occurredAt": "2025-12-15",
  
  
  
  
  
  
  
  
"includedAt": "2026-01-20",
  
  
  
  
  
  
  
  
"city": "São Paulo",
  
  
  
  
  
  
  
  
"state": "SP"
  
  
  
  
  
  
  
}
  
  
  
  
  
  
]
  
  
  
  
  
},
  
  
  
  
  
"protests": {
  
  
  
  
  
  
"total": 1,
  
  
  
  
  
  
"totalAmount": 1500,
  
  
  
  
  
  
"items": [
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
"registry": "1º TABELIONATO DE PROTESTO",
  
  
  
  
  
  
  
  
"city": "São Paulo",
  
  
  
  
  
  
  
  
"state": "SP",
  
  
  
  
  
  
  
  
"amount": 1500,
  
  
  
  
  
  
  
  
"occurredAt": "2025-09-10"
  
  
  
  
  
  
  
}
  
  
  
  
  
  
]
  
  
  
  
  
},
  
  
  
  
  
"bouncedChecks": {
  
  
  
  
  
  
"total": 0,
  
  
  
  
  
  
"items": [
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
"bank": "BANCO DO BRASIL",
  
  
  
  
  
  
  
  
"branch": "1234",
  
  
  
  
  
  
  
  
"amount": 250,
  
  
  
  
  
  
  
  
"occurredAt": "2025-08-22",
  
  
  
  
  
  
  
  
"reason": "Insuficiência de fundos - 1ª apresentação"
  
  
  
  
  
  
  
}
  
  
  
  
  
  
]
  
  
  
  
  
},
  
  
  
  
  
"lawsuits": {
  
  
  
  
  
  
"total": 2,
  
  
  
  
  
  
"items": [
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
"processNumber": "0001234-56.2024.8.26.0100",
  
  
  
  
  
  
  
  
"type": "EXECUÇÃO FISCAL",
  
  
  
  
  
  
  
  
"court": "TJSP - 3ª Vara Cível",
  
  
  
  
  
  
  
  
"amount": 12000,
  
  
  
  
  
  
  
  
"filedAt": "2024-06-30"
  
  
  
  
  
  
  
}
  
  
  
  
  
  
]
  
  
  
  
  
},
  
  
  
  
  
"businessParticipations": {
  
  
  
  
  
  
"total": 1,
  
  
  
  
  
  
"items": [
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
"nationalId": "12345678000190",
  
  
  
  
  
  
  
  
"companyName": "EMPRESA EXEMPLO LTDA",
  
  
  
  
  
  
  
  
"role": "SÓCIO-ADMINISTRADOR",
  
  
  
  
  
  
  
  
"participation": 50,
  
  
  
  
  
  
  
  
"since": "2018-03-15"
  
  
  
  
  
  
  
}
  
  
  
  
  
  
]
  
  
  
  
  
},
  
  
  
  
  
"income": {
  
  
  
  
  
  
"presumedIncome": 5800,
  
  
  
  
  
  
"incomeRange": "5 A 7 SM",
  
  
  
  
  
  
"monthlyPaymentCapacity": 1740
  
  
  
  
  
},
  
  
  
  
  
"contacts": {
  
  
  
  
  
  
"addresses": [
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
"street": "Rua das Flores",
  
  
  
  
  
  
  
  
"number": "123",
  
  
  
  
  
  
  
  
"complement": "Apto 45",
  
  
  
  
  
  
  
  
"neighborhood": "Bairro das Flores",
  
  
  
  
  
  
  
  
"city": "São Paulo",
  
  
  
  
  
  
  
  
"state": "SP",
  
  
  
  
  
  
  
  
"postalCode": "01234567",
  
  
  
  
  
  
  
  
"updatedAt": "2026-04-12"
  
  
  
  
  
  
  
}
  
  
  
  
  
  
],
  
  
  
  
  
  
"phones": [
  
  
  
  
  
  
  
{
  
  
  
  
  
  
  
  
"type": "MOBILE",
  
  
  
  
  
  
  
  
"area": "11",
  
  
  
  
  
  
  
  
"number": "999999999"
  
  
  
  
  
  
  
}
  
  
  
  
  
  
],
  
  
  
  
  
  
"emails": [
  
  
  
  
  
  
  
"[email protected]"
  
  
  
  
  
  
]
  
  
  
  
  
}
  
  
  
  
},
  
  
  
  
"version": "v4",
  
  
  
  
"createdAt": "2025-05-12T14:05:53Z",
  
  
  
  
"updatedAt": "2025-05-12T14:05:53Z"
  
  
  
}
  
  
}
  
],
  
"page": 1,
  
"limit": 10,
  
"total": 100
}

Criar uma verificação

POST
/api/v2/verifications

Cria uma nova verificação para um CPF ou CNPJ

Authorizations

Authentication v2

For more details, see Authentication v2

Type
HTTP (bearer)

Request Body

application/json
JSON
{
  
"nationalId": "012345678900",
  
"verifications": {
  
  
"type": "full",
  
  
"finance": {
  
  
  
"restrictions": true
  
  
},
  
  
"serasa": {
  
  
  
"active": true,
  
  
  
"advance": true
  
  
}
  
}
}

Responses

Verificação criada com sucesso

application/json
JSON
{
  
"id": "805181ca-2956-49e1-81bb-93d1792d269d",
  
"workspaceId": "bc5a5b9e-3bb2-4998-b301-a6a39314d330",
  
"userId": "767b88ea-6f5e-4256-b6bb-726cb402cd7b",
  
"nationalId": "012345678900",
  
"name": "FOO BAR",
  
"status": "COMPLETED",
  
"verification": {
  
  
"type": "full",
  
  
"finance": {
  
  
  
"restrictions": true
  
  
},
  
  
"result": {
  
  
  
"score": 1000,
  
  
  
"scoreFactor": 3,
  
  
  
"rules": [
  
  
  
  
[
  
  
  
  
  
"PROFILE_SUSPECTED_PERSON_BLACKLIST",
  
  
  
  
  
"FINANCE_SOCIAL_ASSISTANCES",
  
  
  
  
  
"FINANCE_ASSET",
  
  
  
  
  
"RELATED_GHOST_PERSONAL_RELATIONSHIPS",
  
  
  
  
  
"LAWSUIT_PROCESS_REDFLAG_L1",
  
  
  
  
  
"LAWSUIT_SUSPECT_PROCESS_L2"
  
  
  
  
]
  
  
  
],
  
  
  
"execution": {
  
  
  
  
"startedAt": "2025-05-12T14:05:53Z",
  
  
  
  
"endedAt": "2025-05-12T14:05:53Z",
  
  
  
  
"durationMs": 799
  
  
  
}
  
  
},
  
  
"person": {
  
  
  
"profile": {
  
  
  
  
"name": "FOO BAR",
  
  
  
  
"nationalId": "012345678900",
  
  
  
  
"fiscalStatus": "REGULAR",
  
  
  
  
"obitFlag": false,
  
  
  
  
"birthDate": "1990-01-01",
  
  
  
  
"age": 30,
  
  
  
  
"gender": "F",
  
  
  
  
"contacts": {
  
  
  
  
  
"addresses": [
  
  
  
  
  
  
{
  
  
  
  
  
  
  
"type": "WORK",
  
  
  
  
  
  
  
"street": "Rua das Flores",
  
  
  
  
  
  
  
"number": "123",
  
  
  
  
  
  
  
"neighborhood": "Bairro das Flores",
  
  
  
  
  
  
  
"city": "São Paulo",
  
  
  
  
  
  
  
"state": "SP",
  
  
  
  
  
  
  
"postalCode": "1234567890",
  
  
  
  
  
  
  
"createdAt": "2025-05-12T14:05:53Z",
  
  
  
  
  
  
  
"updatedAt": "2025-05-12T14:05:53Z"
  
  
  
  
  
  
}
  
  
  
  
  
],
  
  
  
  
  
"emails": [
  
  
  
  
  
  
"[email protected]"
  
  
  
  
  
],
  
  
  
  
  
"phones": [
  
  
  
  
  
  
{
  
  
  
  
  
  
  
"type": "MOBILE",
  
  
  
  
  
  
  
"number": "999999999",
  
  
  
  
  
  
  
"area": "13",
  
  
  
  
  
  
  
"country": "55",
  
  
  
  
  
  
  
"createdAt": "2025-05-12",
  
  
  
  
  
  
  
"updatedAt": "2025-05-12"
  
  
  
  
  
  
}
  
  
  
  
  
]
  
  
  
  
},
  
  
  
  
"indicators": {
  
  
  
  
  
"blacklisted": {
  
  
  
  
  
  
"risky": true,
  
  
  
  
  
  
"value": 1
  
  
  
  
  
},
  
  
  
  
  
"blacklistedCompanies": {
  
  
  
  
  
  
"risky": false,
  
  
  
  
  
  
"value": 0
  
  
  
  
  
},
  
  
  
  
  
"blacklistedRelated": {
  
  
  
  
  
  
"risky": false,
  
  
  
  
  
  
"value": 0
  
  
  
  
  
}
  
  
  
  
}
  
  
  
},
  
  
  
"finance": {
  
  
  
  
"salary": 1000,
  
  
  
  
"income": "5 A 7 SM",
  
  
  
  
"totalAssets": "ABAIXO DE 100K",
  
  
  
  
"taxReturns": [
  
  
  
  
  
{
  
  
  
  
  
  
"year": "2024",
  
  
  
  
  
  
"status": "SALDO INEXISTENTE DE IMPOSTO A PAGAR OU A RESTITUIR",
  
  
  
  
  
  
"bank": "BANCO DO BRASIL",
  
  
  
  
  
  
"updatedAt": "2025-05-12"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"collections": {
  
  
  
  
  
"total": 17,
  
  
  
  
  
"totalOrigins": 2,
  
  
  
  
  
"updatedAt": "2025-05-12"
  
  
  
  
},
  
  
  
  
"assistancePrograms": {
  
  
  
  
  
"programs": [
  
  
  
  
  
  
{
  
  
  
  
  
  
  
"name": "BOLSA FAMÍLIA",
  
  
  
  
  
  
  
"city": "São Paulo",
  
  
  
  
  
  
  
"state": "SP",
  
  
  
  
  
  
  
"active": true,
  
  
  
  
  
  
  
"amount": 1000,
  
  
  
  
  
  
  
"totalAmount": 1000,
  
  
  
  
  
  
  
"startedAt": "2025-05-12",
  
  
  
  
  
  
  
"endedAt": "2025-05-12"
  
  
  
  
  
  
}
  
  
  
  
  
],
  
  
  
  
  
"total": 1,
  
  
  
  
  
"totalActive": 0
  
  
  
  
},
  
  
  
  
"indicators": {
  
  
  
  
  
"monthlyIncome": {
  
  
  
  
  
  
"risky": false,
  
  
  
  
  
  
"value": 1000
  
  
  
  
  
},
  
  
  
  
  
"assistancePrograms": {
  
  
  
  
  
  
"risky": false,
  
  
  
  
  
  
"value": 0
  
  
  
  
  
},
  
  
  
  
  
"ltyTaxDeclarations": {
  
  
  
  
  
  
"risky": true,
  
  
  
  
  
  
"value": 1
  
  
  
  
  
},
  
  
  
  
  
"collections": {
  
  
  
  
  
  
"risky": true,
  
  
  
  
  
  
"value": 17
  
  
  
  
  
}
  
  
  
  
},
  
  
  
  
"restrictions": {
  
  
  
  
  
"registerLogs": "Cliente notificado, período de resposta encerrado, dados prontos para serem usados",
  
  
  
  
  
"isNegative": true,
  
  
  
  
  
"hasData": true,
  
  
  
  
  
"segment": "Atraso severo (Negativo ativo ou CCF ou ação ou atraso maior que 90 dias no CP.)",
  
  
  
  
  
"reportedBy": "BANCO SANTANDER BRASIL S.A.",
  
  
  
  
  
"reportedAt": "2025-05-12",
  
  
  
  
  
"status": "Ativo",
  
  
  
  
  
"city": "São Paulo",
  
  
  
  
  
"amount": "R$869,73",
  
  
  
  
  
"type": "Créditos e Financiamentos",
  
  
  
  
  
"totalAmount": 869.73,
  
  
  
  
  
"consultationLogs": {
  
  
  
  
  
  
"60": 0,
  
  
  
  
  
  
"90": 1,
  
  
  
  
  
  
"+90": 2,
  
  
  
  
  
  
"+30": 0
  
  
  
  
  
}
  
  
  
  
}
  
  
  
},
  
  
  
"lawsuits": {
  
  
  
},
  
  
  
"related": {
  
  
  
}
  
  
},
  
  
"serasa": {
  
  
  
"documentType": "CPF",
  
  
  
"consultedAt": "2026-05-06T14:05:53Z",
  
  
  
"protocol": "SRS-2026050614055312345",
  
  
  
"identification": {
  
  
  
  
"name": "FOO BAR",
  
  
  
  
"nationalId": "01234567890",
  
  
  
  
"birthDate": "1990-01-01",
  
  
  
  
"age": 36,
  
  
  
  
"gender": "F",
  
  
  
  
"motherName": "MARIA BAR",
  
  
  
  
"cpfStatus": "REGULAR",
  
  
  
  
"obitFlag": false
  
  
  
},
  
  
  
"score": {
  
  
  
  
"value": 720,
  
  
  
  
"classification": "BAIXO",
  
  
  
  
"defaultProbability": 4.32,
  
  
  
  
"model": "Score Crédito 2.0"
  
  
  
},
  
  
  
"pendencies": {
  
  
  
  
"total": 3,
  
  
  
  
"totalAmount": 4523.78,
  
  
  
  
"items": [
  
  
  
  
  
{
  
  
  
  
  
  
"creditor": "BANCO SANTANDER BRASIL S.A.",
  
  
  
  
  
  
"contract": "0123456789",
  
  
  
  
  
  
"amount": 869.73,
  
  
  
  
  
  
"currency": "BRL",
  
  
  
  
  
  
"occurredAt": "2025-12-15",
  
  
  
  
  
  
"includedAt": "2026-01-20",
  
  
  
  
  
  
"city": "São Paulo",
  
  
  
  
  
  
"state": "SP"
  
  
  
  
  
}
  
  
  
  
]
  
  
  
},
  
  
  
"protests": {
  
  
  
  
"total": 1,
  
  
  
  
"totalAmount": 1500,
  
  
  
  
"items": [
  
  
  
  
  
{
  
  
  
  
  
  
"registry": "1º TABELIONATO DE PROTESTO",
  
  
  
  
  
  
"city": "São Paulo",
  
  
  
  
  
  
"state": "SP",
  
  
  
  
  
  
"amount": 1500,
  
  
  
  
  
  
"occurredAt": "2025-09-10"
  
  
  
  
  
}
  
  
  
  
]
  
  
  
},
  
  
  
"bouncedChecks": {
  
  
  
  
"total": 0,
  
  
  
  
"items": [
  
  
  
  
  
{
  
  
  
  
  
  
"bank": "BANCO DO BRASIL",
  
  
  
  
  
  
"branch": "1234",
  
  
  
  
  
  
"amount": 250,
  
  
  
  
  
  
"occurredAt": "2025-08-22",
  
  
  
  
  
  
"reason": "Insuficiência de fundos - 1ª apresentação"
  
  
  
  
  
}
  
  
  
  
]
  
  
  
},
  
  
  
"lawsuits": {
  
  
  
  
"total": 2,
  
  
  
  
"items": [
  
  
  
  
  
{
  
  
  
  
  
  
"processNumber": "0001234-56.2024.8.26.0100",
  
  
  
  
  
  
"type": "EXECUÇÃO FISCAL",
  
  
  
  
  
  
"court": "TJSP - 3ª Vara Cível",
  
  
  
  
  
  
"amount": 12000,
  
  
  
  
  
  
"filedAt": "2024-06-30"
  
  
  
  
  
}
  
  
  
  
]
  
  
  
},
  
  
  
"businessParticipations": {
  
  
  
  
"total": 1,
  
  
  
  
"items": [
  
  
  
  
  
{
  
  
  
  
  
  
"nationalId": "12345678000190",
  
  
  
  
  
  
"companyName": "EMPRESA EXEMPLO LTDA",
  
  
  
  
  
  
"role": "SÓCIO-ADMINISTRADOR",
  
  
  
  
  
  
"participation": 50,
  
  
  
  
  
  
"since": "2018-03-15"
  
  
  
  
  
}
  
  
  
  
]
  
  
  
},
  
  
  
"income": {
  
  
  
  
"presumedIncome": 5800,
  
  
  
  
"incomeRange": "5 A 7 SM",
  
  
  
  
"monthlyPaymentCapacity": 1740
  
  
  
},
  
  
  
"contacts": {
  
  
  
  
"addresses": [
  
  
  
  
  
{
  
  
  
  
  
  
"street": "Rua das Flores",
  
  
  
  
  
  
"number": "123",
  
  
  
  
  
  
"complement": "Apto 45",
  
  
  
  
  
  
"neighborhood": "Bairro das Flores",
  
  
  
  
  
  
"city": "São Paulo",
  
  
  
  
  
  
"state": "SP",
  
  
  
  
  
  
"postalCode": "01234567",
  
  
  
  
  
  
"updatedAt": "2026-04-12"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"phones": [
  
  
  
  
  
{
  
  
  
  
  
  
"type": "MOBILE",
  
  
  
  
  
  
"area": "11",
  
  
  
  
  
  
"number": "999999999"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"emails": [
  
  
  
  
  
"[email protected]"
  
  
  
  
]
  
  
  
}
  
  
},
  
  
"version": "v4",
  
  
"createdAt": "2025-05-12T14:05:53Z",
  
  
"updatedAt": "2025-05-12T14:05:53Z"
  
}
}

Criar verificações em lote

POST
/api/v2/verifications/batch

Cria uma verificação para cada nationalId da lista, aplicando a mesma configuração de verifications a todos os itens. Cada item é validado e cobrado individualmente; o resultado de cada um vem em items, um mapa indexado pelo nationalId. Itens aceitos retornam id (verification ID) para polling posterior; itens rejeitados retornam error. Face recognition e CNH não são suportados em lote — se presentes no corpo, são ignorados.

Authorizations

Authentication v2

For more details, see Authentication v2

Type
HTTP (bearer)

Request Body

application/json
JSON
{
  
"nationalId": [
  
  
"012345678900"
  
],
  
"verifications": {
  
  
"type": "full",
  
  
"finance": {
  
  
  
"restrictions": true
  
  
}
  
},
  
"callback": {
  
  
"url": "https://example.com/webhooks/verifications",
  
  
"method": "POST",
  
  
"headers": {
  
  
  
"additionalProperties": "string"
  
  
}
  
},
  
"metadata": {
  
  
"additionalProperties": "string"
  
}
}

Responses

Lote aceito para processamento. A resposta contém o resumo do lote e, em items, o status de cada nationalId enviado.

application/json
JSON
{
  
"total": 0,
  
"success": 0,
  
"errors": 0,
  
"items": {
  
  
"additionalProperties": {
  
  
  
"id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
  
  
  
"error": "There is not enough balance: insufficient balance"
  
  
}
  
}
}

Consultar verificação por ID

GET
/api/v2/verifications/{id}

Obtém uma verificação específica pelo ID

Authorizations

Authentication v2

For more details, see Authentication v2

Type
HTTP (bearer)

Parameters

Path Parameters

id*
Type
string
Required
Example"805181ca-2956-49e1-81bb-93d1792d269d"
Format
"uuid"

Responses

Detalhes da verificação

application/json
JSON
{
  
"id": "805181ca-2956-49e1-81bb-93d1792d269d",
  
"workspaceId": "bc5a5b9e-3bb2-4998-b301-a6a39314d330",
  
"userId": "767b88ea-6f5e-4256-b6bb-726cb402cd7b",
  
"nationalId": "012345678900",
  
"name": "FOO BAR",
  
"status": "COMPLETED",
  
"verification": {
  
  
"type": "full",
  
  
"finance": {
  
  
  
"restrictions": true
  
  
},
  
  
"result": {
  
  
  
"score": 1000,
  
  
  
"scoreFactor": 3,
  
  
  
"rules": [
  
  
  
  
[
  
  
  
  
  
"PROFILE_SUSPECTED_PERSON_BLACKLIST",
  
  
  
  
  
"FINANCE_SOCIAL_ASSISTANCES",
  
  
  
  
  
"FINANCE_ASSET",
  
  
  
  
  
"RELATED_GHOST_PERSONAL_RELATIONSHIPS",
  
  
  
  
  
"LAWSUIT_PROCESS_REDFLAG_L1",
  
  
  
  
  
"LAWSUIT_SUSPECT_PROCESS_L2"
  
  
  
  
]
  
  
  
],
  
  
  
"execution": {
  
  
  
  
"startedAt": "2025-05-12T14:05:53Z",
  
  
  
  
"endedAt": "2025-05-12T14:05:53Z",
  
  
  
  
"durationMs": 799
  
  
  
}
  
  
},
  
  
"person": {
  
  
  
"profile": {
  
  
  
  
"name": "FOO BAR",
  
  
  
  
"nationalId": "012345678900",
  
  
  
  
"fiscalStatus": "REGULAR",
  
  
  
  
"obitFlag": false,
  
  
  
  
"birthDate": "1990-01-01",
  
  
  
  
"age": 30,
  
  
  
  
"gender": "F",
  
  
  
  
"contacts": {
  
  
  
  
  
"addresses": [
  
  
  
  
  
  
{
  
  
  
  
  
  
  
"type": "WORK",
  
  
  
  
  
  
  
"street": "Rua das Flores",
  
  
  
  
  
  
  
"number": "123",
  
  
  
  
  
  
  
"neighborhood": "Bairro das Flores",
  
  
  
  
  
  
  
"city": "São Paulo",
  
  
  
  
  
  
  
"state": "SP",
  
  
  
  
  
  
  
"postalCode": "1234567890",
  
  
  
  
  
  
  
"createdAt": "2025-05-12T14:05:53Z",
  
  
  
  
  
  
  
"updatedAt": "2025-05-12T14:05:53Z"
  
  
  
  
  
  
}
  
  
  
  
  
],
  
  
  
  
  
"emails": [
  
  
  
  
  
  
"[email protected]"
  
  
  
  
  
],
  
  
  
  
  
"phones": [
  
  
  
  
  
  
{
  
  
  
  
  
  
  
"type": "MOBILE",
  
  
  
  
  
  
  
"number": "999999999",
  
  
  
  
  
  
  
"area": "13",
  
  
  
  
  
  
  
"country": "55",
  
  
  
  
  
  
  
"createdAt": "2025-05-12",
  
  
  
  
  
  
  
"updatedAt": "2025-05-12"
  
  
  
  
  
  
}
  
  
  
  
  
]
  
  
  
  
},
  
  
  
  
"indicators": {
  
  
  
  
  
"blacklisted": {
  
  
  
  
  
  
"risky": true,
  
  
  
  
  
  
"value": 1
  
  
  
  
  
},
  
  
  
  
  
"blacklistedCompanies": {
  
  
  
  
  
  
"risky": false,
  
  
  
  
  
  
"value": 0
  
  
  
  
  
},
  
  
  
  
  
"blacklistedRelated": {
  
  
  
  
  
  
"risky": false,
  
  
  
  
  
  
"value": 0
  
  
  
  
  
}
  
  
  
  
}
  
  
  
},
  
  
  
"finance": {
  
  
  
  
"salary": 1000,
  
  
  
  
"income": "5 A 7 SM",
  
  
  
  
"totalAssets": "ABAIXO DE 100K",
  
  
  
  
"taxReturns": [
  
  
  
  
  
{
  
  
  
  
  
  
"year": "2024",
  
  
  
  
  
  
"status": "SALDO INEXISTENTE DE IMPOSTO A PAGAR OU A RESTITUIR",
  
  
  
  
  
  
"bank": "BANCO DO BRASIL",
  
  
  
  
  
  
"updatedAt": "2025-05-12"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"collections": {
  
  
  
  
  
"total": 17,
  
  
  
  
  
"totalOrigins": 2,
  
  
  
  
  
"updatedAt": "2025-05-12"
  
  
  
  
},
  
  
  
  
"assistancePrograms": {
  
  
  
  
  
"programs": [
  
  
  
  
  
  
{
  
  
  
  
  
  
  
"name": "BOLSA FAMÍLIA",
  
  
  
  
  
  
  
"city": "São Paulo",
  
  
  
  
  
  
  
"state": "SP",
  
  
  
  
  
  
  
"active": true,
  
  
  
  
  
  
  
"amount": 1000,
  
  
  
  
  
  
  
"totalAmount": 1000,
  
  
  
  
  
  
  
"startedAt": "2025-05-12",
  
  
  
  
  
  
  
"endedAt": "2025-05-12"
  
  
  
  
  
  
}
  
  
  
  
  
],
  
  
  
  
  
"total": 1,
  
  
  
  
  
"totalActive": 0
  
  
  
  
},
  
  
  
  
"indicators": {
  
  
  
  
  
"monthlyIncome": {
  
  
  
  
  
  
"risky": false,
  
  
  
  
  
  
"value": 1000
  
  
  
  
  
},
  
  
  
  
  
"assistancePrograms": {
  
  
  
  
  
  
"risky": false,
  
  
  
  
  
  
"value": 0
  
  
  
  
  
},
  
  
  
  
  
"ltyTaxDeclarations": {
  
  
  
  
  
  
"risky": true,
  
  
  
  
  
  
"value": 1
  
  
  
  
  
},
  
  
  
  
  
"collections": {
  
  
  
  
  
  
"risky": true,
  
  
  
  
  
  
"value": 17
  
  
  
  
  
}
  
  
  
  
},
  
  
  
  
"restrictions": {
  
  
  
  
  
"registerLogs": "Cliente notificado, período de resposta encerrado, dados prontos para serem usados",
  
  
  
  
  
"isNegative": true,
  
  
  
  
  
"hasData": true,
  
  
  
  
  
"segment": "Atraso severo (Negativo ativo ou CCF ou ação ou atraso maior que 90 dias no CP.)",
  
  
  
  
  
"reportedBy": "BANCO SANTANDER BRASIL S.A.",
  
  
  
  
  
"reportedAt": "2025-05-12",
  
  
  
  
  
"status": "Ativo",
  
  
  
  
  
"city": "São Paulo",
  
  
  
  
  
"amount": "R$869,73",
  
  
  
  
  
"type": "Créditos e Financiamentos",
  
  
  
  
  
"totalAmount": 869.73,
  
  
  
  
  
"consultationLogs": {
  
  
  
  
  
  
"60": 0,
  
  
  
  
  
  
"90": 1,
  
  
  
  
  
  
"+90": 2,
  
  
  
  
  
  
"+30": 0
  
  
  
  
  
}
  
  
  
  
}
  
  
  
},
  
  
  
"lawsuits": {
  
  
  
},
  
  
  
"related": {
  
  
  
}
  
  
},
  
  
"serasa": {
  
  
  
"documentType": "CPF",
  
  
  
"consultedAt": "2026-05-06T14:05:53Z",
  
  
  
"protocol": "SRS-2026050614055312345",
  
  
  
"identification": {
  
  
  
  
"name": "FOO BAR",
  
  
  
  
"nationalId": "01234567890",
  
  
  
  
"birthDate": "1990-01-01",
  
  
  
  
"age": 36,
  
  
  
  
"gender": "F",
  
  
  
  
"motherName": "MARIA BAR",
  
  
  
  
"cpfStatus": "REGULAR",
  
  
  
  
"obitFlag": false
  
  
  
},
  
  
  
"score": {
  
  
  
  
"value": 720,
  
  
  
  
"classification": "BAIXO",
  
  
  
  
"defaultProbability": 4.32,
  
  
  
  
"model": "Score Crédito 2.0"
  
  
  
},
  
  
  
"pendencies": {
  
  
  
  
"total": 3,
  
  
  
  
"totalAmount": 4523.78,
  
  
  
  
"items": [
  
  
  
  
  
{
  
  
  
  
  
  
"creditor": "BANCO SANTANDER BRASIL S.A.",
  
  
  
  
  
  
"contract": "0123456789",
  
  
  
  
  
  
"amount": 869.73,
  
  
  
  
  
  
"currency": "BRL",
  
  
  
  
  
  
"occurredAt": "2025-12-15",
  
  
  
  
  
  
"includedAt": "2026-01-20",
  
  
  
  
  
  
"city": "São Paulo",
  
  
  
  
  
  
"state": "SP"
  
  
  
  
  
}
  
  
  
  
]
  
  
  
},
  
  
  
"protests": {
  
  
  
  
"total": 1,
  
  
  
  
"totalAmount": 1500,
  
  
  
  
"items": [
  
  
  
  
  
{
  
  
  
  
  
  
"registry": "1º TABELIONATO DE PROTESTO",
  
  
  
  
  
  
"city": "São Paulo",
  
  
  
  
  
  
"state": "SP",
  
  
  
  
  
  
"amount": 1500,
  
  
  
  
  
  
"occurredAt": "2025-09-10"
  
  
  
  
  
}
  
  
  
  
]
  
  
  
},
  
  
  
"bouncedChecks": {
  
  
  
  
"total": 0,
  
  
  
  
"items": [
  
  
  
  
  
{
  
  
  
  
  
  
"bank": "BANCO DO BRASIL",
  
  
  
  
  
  
"branch": "1234",
  
  
  
  
  
  
"amount": 250,
  
  
  
  
  
  
"occurredAt": "2025-08-22",
  
  
  
  
  
  
"reason": "Insuficiência de fundos - 1ª apresentação"
  
  
  
  
  
}
  
  
  
  
]
  
  
  
},
  
  
  
"lawsuits": {
  
  
  
  
"total": 2,
  
  
  
  
"items": [
  
  
  
  
  
{
  
  
  
  
  
  
"processNumber": "0001234-56.2024.8.26.0100",
  
  
  
  
  
  
"type": "EXECUÇÃO FISCAL",
  
  
  
  
  
  
"court": "TJSP - 3ª Vara Cível",
  
  
  
  
  
  
"amount": 12000,
  
  
  
  
  
  
"filedAt": "2024-06-30"
  
  
  
  
  
}
  
  
  
  
]
  
  
  
},
  
  
  
"businessParticipations": {
  
  
  
  
"total": 1,
  
  
  
  
"items": [
  
  
  
  
  
{
  
  
  
  
  
  
"nationalId": "12345678000190",
  
  
  
  
  
  
"companyName": "EMPRESA EXEMPLO LTDA",
  
  
  
  
  
  
"role": "SÓCIO-ADMINISTRADOR",
  
  
  
  
  
  
"participation": 50,
  
  
  
  
  
  
"since": "2018-03-15"
  
  
  
  
  
}
  
  
  
  
]
  
  
  
},
  
  
  
"income": {
  
  
  
  
"presumedIncome": 5800,
  
  
  
  
"incomeRange": "5 A 7 SM",
  
  
  
  
"monthlyPaymentCapacity": 1740
  
  
  
},
  
  
  
"contacts": {
  
  
  
  
"addresses": [
  
  
  
  
  
{
  
  
  
  
  
  
"street": "Rua das Flores",
  
  
  
  
  
  
"number": "123",
  
  
  
  
  
  
"complement": "Apto 45",
  
  
  
  
  
  
"neighborhood": "Bairro das Flores",
  
  
  
  
  
  
"city": "São Paulo",
  
  
  
  
  
  
"state": "SP",
  
  
  
  
  
  
"postalCode": "01234567",
  
  
  
  
  
  
"updatedAt": "2026-04-12"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"phones": [
  
  
  
  
  
{
  
  
  
  
  
  
"type": "MOBILE",
  
  
  
  
  
  
"area": "11",
  
  
  
  
  
  
"number": "999999999"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"emails": [
  
  
  
  
  
"[email protected]"
  
  
  
  
]
  
  
  
}
  
  
},
  
  
"version": "v4",
  
  
"createdAt": "2025-05-12T14:05:53Z",
  
  
"updatedAt": "2025-05-12T14:05:53Z"
  
}
}

Obter PDF da verificação

GET
/api/v2/verifications/{id}/pdf

Retorna os bytes do arquivo PDF de uma verificação específica pelo ID. A resposta contém o conteúdo binário do arquivo e nao uma URL para download.

Authorizations

Authentication v2

For more details, see Authentication v2

Type
HTTP (bearer)

Parameters

Path Parameters

id*
Type
string
Required
Example"805181ca-2956-49e1-81bb-93d1792d269d"
Format
"uuid"

Responses

Bytes do arquivo PDF da verificação

application/pdf

Criar feedback para uma verificação

POST
/api/v2/verifications/{id}/feedbacks

Criar feedback para uma verificação

Authorizations

Authentication v2

For more details, see Authentication v2

Type
HTTP (bearer)

Request Body

application/json
JSON
{
  
"verificationId": "805181ca-2956-49e1-81bb-93d1792d269d",
  
"status": "APPROVED",
  
"comment": "Documentacao validada com sucesso"
}

Responses

Feedback criado com sucesso

application/json
JSON
{
  
"status": "APPROVED",
  
"verificationId": "805181ca-2956-49e1-81bb-93d1792d269d"
}

Lista Restritiva


Consultar lista restritiva

GET
/api/v2/blacklist

Obtém os registros da lista restritiva com paginação por workspace

Authorizations

Authentication v2

For more details, see Authentication v2

Type
HTTP (bearer)

Parameters

Query Parameters

workspaceId*
Type
string
Required
Example"fc31805a-9ac5-423b-b3cb-b626c769b27c"
Format
"uuid"
limit
Type
integer
Example10
Minimum
1
Maximum
100
page
Type
integer
Example1
Minimum
1

Responses

Lista restritiva consultada com sucesso

application/json
JSON
{
  
"blacklist": [
  
  
{
  
  
  
"id": "53190a88-7866-4fc4-9986-5e24f7d8da97",
  
  
  
"workspaceId": "fc31805a-9ac5-423b-b3cb-b626c769b27c",
  
  
  
"userId": "a7e3545c-b7e1-4156-8363-7d3ecca8c8d9",
  
  
  
"nationalId": "91439362025",
  
  
  
"type": "FRAUD",
  
  
  
"description": "Fraude",
  
  
  
"createdAt": "2026-03-30T17:53:52Z"
  
  
}
  
],
  
"page": 1,
  
"limit": 10,
  
"total": 1
}

Adicionar item na lista restritiva

POST
/api/v2/blacklist

Cria um novo registro na lista restritiva para um workspace

Authorizations

Authentication v2

For more details, see Authentication v2

Type
HTTP (bearer)

Parameters

Query Parameters

workspaceId*
Type
string
Required
Example"fc31805a-9ac5-423b-b3cb-b626c769b27c"
Format
"uuid"

Request Body

application/json
JSON
{
  
"nationalId": "91439362025",
  
"type": "fraud",
  
"description": "Fraude"
}

Responses

Item adicionado na lista restritiva com sucesso

application/json
JSON
{
  
"id": "53190a88-7866-4fc4-9986-5e24f7d8da97",
  
"workspaceId": "fc31805a-9ac5-423b-b3cb-b626c769b27c",
  
"userId": "a7e3545c-b7e1-4156-8363-7d3ecca8c8d9",
  
"nationalId": "91439362025",
  
"type": "FRAUD",
  
"description": "Fraude",
  
"createdAt": "2026-03-30T17:53:52Z"
}

Remover item da lista restritiva

DELETE
/api/v2/blacklist/{nationalId}

Remove um registro da lista restritiva por nationalId e workspace

Authorizations

Authentication v2

For more details, see Authentication v2

Type
HTTP (bearer)

Parameters

Path Parameters

nationalId*
Type
string
Required
Example"91439362025"
Min Length
11
Max Length
14

Query Parameters

workspaceId*
Type
string
Required
Example"fc31805a-9ac5-423b-b3cb-b626c769b27c"
Format
"uuid"

Responses

Item removido da lista restritiva com sucesso


Powered by VitePress OpenAPI